Update a tenant membership
Analytics Events
/v1/tenants/{tenantId}/memberships/{userId}Updates the membership of a user in the tenant. This includes the roles assigned to this user for this tenant.
Analytic events
- TENANT_MEMBERSHIP_UPDATE_START
- TENANT_MEMBERSHIP_UPDATE_SUCCESS
- TENANT_MEMBERSHIP_UPDATE_FAIL
Authorization
bearerAuth In: header
Path Parameters
Identifier of the tenant.
uuidIdentifier of the user who's membership is being updated.
uuidRequest Body
application/json
The roles assigned to the user.
Response Body
application/json
application/json
text/plain
curl -X PUT "https://manage.mattr.global/v1/tenants/543e0579-87b9-4705-be78-8f7f54709838/memberships/818f7564-49cb-4003-b041-37aec302e2c9" \ -H "Content-Type: application/json" \ -d '{ "roles": [ "dts-provider", "issuer" ] }'{
"userId": "879a5524-d515-4aee-824a-c52fdcd4eea6",
"tenantId": "8f49b206-e0bb-474d-8a4d-62186a9de886",
"roles": [
"dts-provider",
"issuer"
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}"Unauthorized"How would you rate this page?
Retrieve a tenant member GET
Retrieves an existing user that has access to the tenant. ### **Analytic events** * TENANT_MEMBER_RETRIEVE_START * TENANT_MEMBER_RETRIEVE_SUCCESS * TENANT_MEMBER_RETRIEVE_FAIL
Delete a tenant membership DELETE
Removes the membership of a user from the specified tenant. This will remove all user permissions for this tenant. ### **Analytic events** * TENANT_MEMBERSHIP_DELETE_START * TENANT_MEMBERSHIP_DELETE_SUCCESS * TENANT_MEMBERSHIP_DELETE_FAIL